> For the complete documentation index, see [llms.txt](https://developers.incidents.cloud.solarwinds.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.incidents.cloud.solarwinds.com/org-scoped-api-reference/api-key.md).

# API Key

## Get API Key

> Requires valid API key authentication in the Authorization header.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast Organization-Scoped Public APIs","version":"2024-08-11"},"tags":[{"name":"API Key"}],"servers":[{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}},{"url":"https://api.squadcast.com","description":"production US env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"ApiKeyResponse":{"type":"object","required":["orgID","createdAt","isNeverExpires","preferredUsage"],"properties":{"orgID":{"type":"string","description":"The organization ID associated with the API key."},"createdAt":{"type":"string","format":"date-time","description":"The timestamp when the API key was created."},"expiresAt":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"description":"The timestamp when the API key expires (nullable if never expires)."},"isNeverExpires":{"type":"boolean","description":"Whether the API key never expires."},"preferredUsage":{"type":"string","description":"The preferred usage of the API key."}},"description":"Represents an API key for organization-scoped access."}}},"paths":{"/v4/public/api-key":{"get":{"operationId":"ApiKeyRoutes_getApiKey","summary":"Get API Key","description":"Requires valid API key authentication in the Authorization header.","parameters":[],"responses":{"200":{"description":"API key details including organization ID, creation date, expiration, and usage information","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiKeyResponse"}}}}},"tags":["API Key"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.incidents.cloud.solarwinds.com/org-scoped-api-reference/api-key.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
